const dvui = @import("dvui");

pub fn key(bind: []const u8) ?*const dvui.Event.Key {
    for (dvui.events()) |e| {
        if (e.evt == .key) {
            if (e.evt.key.matchBind(bind)) {
                return &e.evt.key;
            }
        }
    }
    return null;
}
pub fn keyDown(bind: []const u8) bool {
    return if (key(bind)) |k| k.action == .down else false;
}
pub fn keyPress(bind: []const u8) bool {
    return if (key(bind)) |k| (k.action == .down or k.action == .repeat) else false;
}
pub fn keyUp(bind: []const u8) bool {
    return if (key(bind)) |k| k.action == .up else false;
}
